Package org.python.util

# Class GlobMatchingTask

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.MatchingTask
org.python.util.GlobMatchingTask

All Implemented Interfaces:
  `Cloneable`, `org.apache.tools.ant.types.selectors.SelectorContainer`

Direct Known Subclasses:
  `JycompileAntTask`

public abstract class GlobMatchingTask extends org.apache.tools.ant.taskdefs.MatchingTask

## Constructor Summary

Constructors
Constructor
Description
`GlobMatchingTask()`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute()`
`File`
`getDestdir()`
Gets the destination directory into which the java source files should be compiled.
`org.apache.tools.ant.types.Path`
`getSrcdir()`
Gets the source dirs to find the class files to be exposed.
`void`
`setDestdir(File destDir)`
Set the destination directory into which the Java source files should be compiled.
`void`
`setSrcdir(org.apache.tools.ant.types.Path srcDir)`
Set the source directories to find the class files to be exposed.

### Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask

`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, init, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GlobMatchingTask

public GlobMatchingTask()

## Method Details

### setSrcdir

public void setSrcdir(org.apache.tools.ant.types.Path srcDir)
Set the source directories to find the class files to be exposed.

### getSrcdir

public org.apache.tools.ant.types.Path getSrcdir()
Gets the source dirs to find the class files to be exposed.

### setDestdir

public void setDestdir(File destDir)
Set the destination directory into which the Java source files should be compiled.

Parameters:
  `destDir` - the destination director

### getDestdir

public File getDestdir()
Gets the destination directory into which the java source files should be compiled.

Returns:
  the destination directory

### execute

public void execute() throws org.apache.tools.ant.BuildException

Overrides:
  `execute` in class `org.apache.tools.ant.Task`
Throws:
  `org.apache.tools.ant.BuildException`